System.Data 2.0.0.0 System.Object

Column mappings define the mapping between data source and the target table.

If mappings are not defined—that is, the collection is empty—the columns are mapped implicitly based on ordinal position. For this to work, source and target schemas must match. If they do not, an will be thrown.

If the collection is not empty, not every column present in the data source has to be specified. Those not mapped by the collection are ignored.

You can refer to source and target columns by either name or ordinal. You can also mix by-name and by-ordinal column references in the same mappings collection.

Defines the mapping between a column in a instance's data source and a column in the instance's destination table.

- Constructor

  If you use this constructor, you must then define the source for the mapping using the property or the property, and define the destination for the mapping using the property or the property.

  Default constructor that initializes a new object.

  2.0.0.0
- Constructor
  To be added.

  Creates a new column mapping, using column ordinals to refer to source and destination columns.

  The ordinal position of the source column within the data source.
  The ordinal position of the destination column within the destination table.
  2.0.0.0
- Constructor
  To be added.

  Creates a new column mapping, using a column ordinal to refer to the source column and a column name for the target column.

  The ordinal position of the source column within the data source.
  The name of the destination column within the destination table.
  2.0.0.0
- Constructor
  To be added.

  Creates a new column mapping, using a column name to refer to the source column and a column ordinal for the target column.

  The name of the source column within the data source.
  The ordinal position of the destination column within the destination table.
  2.0.0.0
- Constructor
  To be added.

  Creates a new column mapping, using column names to refer to source and destination columns.

  The name of the source column within the data source.
  The name of the destination column within the destination table.
  2.0.0.0
- Property
  System.String To be added.

  The and properties are mutually exclusive. The last value set takes precedence.

  Name of the column being mapped in the destination database table.

  2.0.0.0
- Property
  System.Int32 To be added.

  The and properties are mutually exclusive. The last value set takes precedence.

  Ordinal value of the destination column within the destination table.

  2.0.0.0
- Property
  System.String To be added.

  The and properties are mutually exclusive. The last value set takes precedence.

  Name of the column being mapped in the data source.

  2.0.0.0
- Property
  System.Int32 To be added.

  The and properties are mutually exclusive. The last value set takes precedence.

  The ordinal position of the source column within the data source.

  2.0.0.0